## org.biojava.bio.seq
Class ByLocationMinMaxFeatureComparator

    java.lang.Object
      org.biojava.bio.seq.ByLocationMinMaxFeatureComparator

All Implemented Interfaces:
  Comparator

    public class ByLocationMinMaxFeatureComparator

extends Object
implements Comparator

Comparator that compares the min and max positions of Features Required by org.biojava.bio.gui.sequence.AbstractPeptideDigestRenderer instances.

Since:
  1.5
Author:
  Mark Southern

Constructor Summary
`ByLocationMinMaxFeatureComparator()`

Method Summary
`int` `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### ByLocationMinMaxFeatureComparator

    public ByLocationMinMaxFeatureComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`